public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/php/
Date: Wed,  6 Dec 2023 02:02:11 +0000 (UTC)	[thread overview]
Message-ID: <1701828041.d8a87a6f0c140f5a2911f2fb99a5b8f01348a34b.mjo@gentoo> (raw)

commit:     d8a87a6f0c140f5a2911f2fb99a5b8f01348a34b
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  5 19:59:39 2023 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Wed Dec  6 02:00:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8a87a6f

dev-lang/php: add 8.3.0

Closes: https://bugs.gentoo.org/919148
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 dev-lang/php/Manifest         |   1 +
 dev-lang/php/php-8.3.0.ebuild | 790 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 791 insertions(+)

diff --git a/dev-lang/php/Manifest b/dev-lang/php/Manifest
index 73b9d4b3b1a1..fd3ffb61811e 100644
--- a/dev-lang/php/Manifest
+++ b/dev-lang/php/Manifest
@@ -1,3 +1,4 @@
 DIST php-8.1.20.tar.xz 11793228 BLAKE2B ecdaf43278b69e039e5440b441a89d02ea53e8246515a89f430d7affbaefa3e1637a6830f91dc9062961719ba5bf7c56993f3b47db96b56c14111f77c74a3096 SHA512 d93767c6ff4d305c209e1a0fcb17f19b1d417fa872b002413ebe7883e93900c210e8f122410ac54da373b9d10dd2f522ea2bafc9b66214fb466314d64907a558
 DIST php-8.1.26.tar.xz 11809448 BLAKE2B e1d50f1de572580a207586b3c3b57081f7b9f1b680ffe8f9e82c88c9285af117dd7e9e2576fcb13119176cb9cd02b39481b6f40e9a1df81aa90b8c4d3e59e4b1 SHA512 5bc40077e57c0fccdf17810d688baea416f22ac248bb01b73d2e2590fc4cfabc7001c1c3833281a60870c74178f7b06cbc85474eba695aabf969ad0081a98417
 DIST php-8.2.13.tar.xz 12069092 BLAKE2B 24da2de8cb00bb2aac485360a14f75d6ce3df1bae78b4bf46e013888aa7f1e9d9e077ca40462fe36c59e19a7c45db05cbb0a64b140c07e4621baa99520a2865b SHA512 8031e33d148c5acbfbb3ed00d7a266813c8919db86ba260ba65e1837d6db8d0bd66d8ddef66884466dd3fe51ece7882b03f8d8db6ff4383f80a68b7beafc03af
+DIST php-8.3.0.tar.xz 12431612 BLAKE2B c6c01b28edea15f05e8894bf69a9f4ea3ea6fb0a2bd70d9417ce9473d57636e08e19f62cac1dfee66d153e5aee4f1b99035ccc14bba1e41712971321deee264f SHA512 8758bb0789787dda04f3d4a175f4d4a0bffadc8c3d272fefa000d6fd7b0c0a7096347c829c1ddfb3b60cf6300803d68ba6d8379f2a343e02d935ba77d01c5cf1

diff --git a/dev-lang/php/php-8.3.0.ebuild b/dev-lang/php/php-8.3.0.ebuild
new file mode 100644
index 000000000000..195326a5aff5
--- /dev/null
+++ b/dev-lang/php/php-8.3.0.ebuild
@@ -0,0 +1,790 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+WANT_AUTOMAKE="none"
+
+inherit flag-o-matic multilib systemd autotools
+
+DESCRIPTION="The PHP language runtime engine"
+HOMEPAGE="https://www.php.net/"
+SRC_URI="https://www.php.net/distributions/${P}.tar.xz"
+
+LICENSE="PHP-3.01
+	BSD
+	Zend-2.0
+	bcmath? ( LGPL-2.1+ )
+	fpm? ( BSD-2 )
+	gd? ( gd )
+	unicode? ( BSD-2 LGPL-2.1 )"
+
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+# We can build the following SAPIs in the given order
+SAPIS="embed cli cgi fpm apache2 phpdbg"
+
+# SAPIs and SAPI-specific USE flags (cli SAPI is default on):
+IUSE="${IUSE}
+	${SAPIS/cli/+cli}
+	threads"
+
+IUSE="${IUSE} acl apparmor argon2 avif bcmath berkdb bzip2 calendar
+	capstone cdb cjk +ctype curl debug
+	enchant exif ffi +fileinfo +filter firebird
+	+flatfile ftp gd gdbm gmp +iconv imap inifile
+	intl iodbc ipv6 +jit kerberos ldap ldap-sasl libedit lmdb
+	mhash mssql mysql mysqli nls
+	oci8-instant-client odbc +opcache pcntl pdo +phar +posix postgres qdbm
+	readline selinux +session session-mm sharedmem
+	+simplexml snmp soap sockets sodium spell sqlite ssl
+	sysvipc systemd test tidy +tokenizer tokyocabinet truetype unicode
+	valgrind webp +xml xmlreader xmlwriter xpm xslt zip zlib"
+
+# Without USE=readline or libedit, the interactive "php -a" CLI will hang.
+# The Oracle instant client provides its own incompatible ldap library.
+REQUIRED_USE="
+	|| ( cli cgi fpm apache2 embed phpdbg )
+	avif? ( gd zlib )
+	cli? ( ^^ ( readline libedit ) )
+	!cli? ( ?? ( readline libedit ) )
+	truetype? ( gd zlib )
+	webp? ( gd zlib )
+	cjk? ( gd zlib )
+	exif? ( gd zlib )
+	xpm? ( gd zlib )
+	gd? ( zlib )
+	simplexml? ( xml )
+	soap? ( xml )
+	xmlreader? ( xml )
+	xmlwriter? ( xml )
+	xslt? ( xml )
+	ldap-sasl? ( ldap )
+	oci8-instant-client? ( !ldap )
+	qdbm? ( !gdbm )
+	session-mm? ( session !threads )
+	mysql? ( || ( mysqli pdo ) )
+	firebird? ( pdo )
+	mssql? ( pdo )
+	test? ( cli )
+"
+
+RESTRICT="!test? ( test )"
+
+# The supported (that is, autodetected) versions of BDB are listed in
+# the ./configure script. Other versions *work*, but we need to stick to
+# the ones that can be detected to avoid a repeat of bug #564824.
+COMMON_DEPEND="
+	app-eselect/eselect-php[apache2?,fpm?]
+	dev-libs/libpcre2[jit?,unicode]
+	virtual/libcrypt:=
+	fpm? ( acl? ( sys-apps/acl ) apparmor? ( sys-libs/libapparmor ) selinux? ( sys-libs/libselinux ) )
+	apache2? ( www-servers/apache[apache2_modules_unixd(+),threads=] )
+	argon2? ( app-crypt/argon2:= )
+	avif? ( media-libs/libavif:= )
+	berkdb? ( || (	sys-libs/db:5.3 sys-libs/db:4.8 ) )
+	bzip2? ( app-arch/bzip2:0= )
+	capstone? ( dev-libs/capstone )
+	cdb? ( || ( dev-db/cdb dev-db/tinycdb ) )
+	curl? ( net-misc/curl )
+	enchant? ( app-text/enchant:2 )
+	ffi? ( dev-libs/libffi:= )
+	firebird? ( dev-db/firebird )
+	gd? ( media-libs/libjpeg-turbo:0= media-libs/libpng:0= )
+	gdbm? ( sys-libs/gdbm:0= )
+	gmp? ( dev-libs/gmp:0= )
+	iconv? ( virtual/libiconv )
+	imap? ( net-libs/c-client[kerberos=,ssl=] )
+	intl? ( dev-libs/icu:= )
+	kerberos? ( virtual/krb5 )
+	ldap? ( net-nds/openldap:= )
+	ldap-sasl? ( dev-libs/cyrus-sasl )
+	libedit? ( dev-libs/libedit )
+	lmdb? ( dev-db/lmdb:= )
+	mssql? ( dev-db/freetds[mssql] )
+	nls? ( sys-devel/gettext )
+	oci8-instant-client? ( dev-db/oracle-instantclient[sdk] )
+	odbc? ( iodbc? ( dev-db/libiodbc ) !iodbc? ( dev-db/unixODBC ) )
+	postgres? ( dev-db/postgresql:* )
+	qdbm? ( dev-db/qdbm )
+	readline? ( sys-libs/readline:0= )
+	session-mm? ( dev-libs/mm )
+	snmp? ( net-analyzer/net-snmp )
+	sodium? ( dev-libs/libsodium:=[-minimal] )
+	spell? ( app-text/aspell )
+	sqlite? ( dev-db/sqlite )
+	ssl? ( dev-libs/openssl:0= )
+	tidy? ( app-text/htmltidy )
+	tokyocabinet? ( dev-db/tokyocabinet )
+	truetype? ( media-libs/freetype )
+	unicode? ( dev-libs/oniguruma:= )
+	valgrind? ( dev-util/valgrind )
+	webp? ( media-libs/libwebp:0= )
+	xml? ( dev-libs/libxml2 )
+	xpm? ( x11-libs/libXpm )
+	xslt? ( dev-libs/libxslt )
+	zip? ( dev-libs/libzip:= )
+	zlib? ( sys-libs/zlib:0= )
+"
+
+IDEPEND="app-eselect/eselect-php[apache2?,fpm?]"
+
+RDEPEND="${COMMON_DEPEND}
+	virtual/mta
+	fpm? (
+		selinux? ( sec-policy/selinux-phpfpm )
+		systemd? ( sys-apps/systemd ) )"
+
+# Bison isn't actually needed when building from a release tarball
+# However, the configure script will warn if it's absent or if you
+# have an incompatible version installed. See bug 593278.
+DEPEND="${COMMON_DEPEND}
+	app-arch/xz-utils
+	sys-devel/bison"
+
+BDEPEND="virtual/pkgconfig"
+
+PHP_MV="$(ver_cut 1)"
+
+PATCHES=(
+	"${FILESDIR}/php-iodbc-header-location.patch"
+)
+
+php_install_ini() {
+	local phpsapi="${1}"
+
+	# work out where we are installing the ini file
+	php_set_ini_dir "${phpsapi}"
+
+	# Always install the production INI file, bug 611214.
+	local phpinisrc="php.ini-production-${phpsapi}"
+	cp php.ini-production "${phpinisrc}" || die
+
+	# Set the extension dir
+	sed -e "s|^extension_dir .*$|extension_dir = ${extension_dir}|g" \
+		-i "${phpinisrc}" || die
+
+	# Set the include path to point to where we want to find PEAR
+	# packages
+	local sed_src='^;include_path = ".:/php.*'
+	local include_path="."
+	include_path+=":${EPREFIX}/usr/share/php${PHP_MV}"
+	include_path+=":${EPREFIX}/usr/share/php"
+	local sed_dst="include_path = \"${include_path}\""
+	sed -e "s|${sed_src}|${sed_dst}|" -i "${phpinisrc}" || die
+
+	insinto "${PHP_INI_DIR#${EPREFIX}}"
+	newins "${phpinisrc}" php.ini
+
+	elog "Installing php.ini for ${phpsapi} into ${PHP_INI_DIR#${EPREFIX}}"
+	elog
+
+	dodir "${PHP_EXT_INI_DIR#${EPREFIX}}"
+	dodir "${PHP_EXT_INI_DIR_ACTIVE#${EPREFIX}}"
+
+	if use opcache; then
+		elog "Adding opcache to $PHP_EXT_INI_DIR"
+		echo "zend_extension=${PHP_DESTDIR}/$(get_libdir)/opcache.so" >> \
+			 "${D}/${PHP_EXT_INI_DIR}"/opcache.ini
+		dosym "../ext/opcache.ini" \
+			  "${PHP_EXT_INI_DIR_ACTIVE#${EPREFIX}}/opcache.ini"
+	fi
+
+	# SAPI-specific handling
+	if [[ "${sapi}" == "fpm" ]] ; then
+		einfo "Installing FPM config files php-fpm.conf and www.conf"
+		insinto "${PHP_INI_DIR#${EPREFIX}}"
+		doins sapi/fpm/php-fpm.conf
+		insinto "${PHP_INI_DIR#${EPREFIX}}/fpm.d"
+		doins sapi/fpm/www.conf
+	fi
+
+	dodoc php.ini-{development,production}
+}
+
+php_set_ini_dir() {
+	PHP_INI_DIR="${EPREFIX}/etc/php/${1}-php${SLOT}"
+	PHP_EXT_INI_DIR="${PHP_INI_DIR}/ext"
+	PHP_EXT_INI_DIR_ACTIVE="${PHP_INI_DIR}/ext-active"
+}
+
+src_prepare() {
+	default
+
+	# In php-7.x, the FPM pool configuration files have been split off
+	# of the main config. By default the pool config files go in
+	# e.g. /etc/php-fpm.d, which isn't slotted. So here we move the
+	# include directory to a subdirectory "fpm.d" of $PHP_INI_DIR. Later
+	# we'll install the pool configuration file "www.conf" there.
+	php_set_ini_dir fpm
+	sed -i "s~^include=.*$~include=${PHP_INI_DIR}/fpm.d/*.conf~" \
+		sapi/fpm/php-fpm.conf.in \
+		|| die 'failed to move the include directory in php-fpm.conf'
+
+	# Emulate buildconf to support cross-compilation
+	rm -fr aclocal.m4 autom4te.cache config.cache \
+		configure main/php_config.h.in || die
+	eautoconf --force
+	eautoheader
+
+	# fails in a network sandbox,
+	#
+	#   https://github.com/php/php-src/issues/11662
+	#
+	rm ext/sockets/tests/bug63000.phpt || die
+
+	# Tests ignoring the "-n" flag we pass to run-tests.php,
+	#
+	#   https://github.com/php/php-src/pull/11669
+	#
+	rm ext/standard/tests/file/bug60120.phpt \
+	   ext/standard/tests/general_functions/proc_open_null.phpt \
+	   ext/standard/tests/general_functions/proc_open_redirect.phpt \
+	   ext/standard/tests/general_functions/proc_open_sockets1.phpt \
+	   ext/standard/tests/general_functions/proc_open_sockets2.phpt \
+	   ext/standard/tests/general_functions/proc_open_sockets3.phpt \
+	   ext/standard/tests/ini_info/php_ini_loaded_file.phpt \
+	   sapi/cli/tests/016.phpt \
+	   sapi/cli/tests/023.phpt \
+	   sapi/cli/tests/bug65275.phpt \
+	   sapi/cli/tests/bug74600.phpt \
+	   sapi/cli/tests/bug78323.phpt \
+	   || die
+
+	# Most Oracle tests are borked,
+	#
+	#  * https://github.com/php/php-src/issues/11804
+	#  * https://github.com/php/php-src/pull/11820
+	#  * https://github.com/php/php-src/issues/11819
+	#
+	rm ext/oci8/tests/*.phpt || die
+
+	# https://github.com/php/php-src/issues/12801
+	rm ext/pcre/tests/gh11374.phpt || die
+}
+
+src_configure() {
+	addpredict /usr/share/snmp/mibs/.index #nowarn
+	addpredict /var/lib/net-snmp/mib_indexes #nowarn
+
+	# https://bugs.gentoo.org/866683, https://bugs.gentoo.org/913527
+	filter-lto
+
+	PHP_DESTDIR="${EPREFIX}/usr/$(get_libdir)/php${SLOT}"
+
+	# Don't allow ./configure to detect and use an existing version
+	# of PHP; this can lead to all sorts of weird unpredictability
+	# as in bug 900210.
+	export ac_cv_prog_PHP=""
+
+	# The php-fpm config file wants localstatedir to be ${EPREFIX}/var
+	# and not the Gentoo default ${EPREFIX}/var/lib. See bug 572002.
+	local our_conf=(
+		--prefix="${PHP_DESTDIR}"
+		--mandir="${PHP_DESTDIR}/man"
+		--infodir="${PHP_DESTDIR}/info"
+		--libdir="${PHP_DESTDIR}/lib"
+		--with-libdir="$(get_libdir)"
+		--localstatedir="${EPREFIX}/var"
+		--without-pear
+		--without-valgrind
+		--enable-ipv6
+		$(use_enable threads zts)
+	)
+
+	our_conf+=(
+		$(use_with apparmor fpm-apparmor)
+		$(use_with argon2 password-argon2 "${EPREFIX}/usr")
+		$(use_with avif)
+		$(use_enable bcmath)
+		$(use_with bzip2 bz2 "${EPREFIX}/usr")
+		$(use_enable calendar)
+		$(use_with capstone)
+		$(use_enable ctype)
+		$(use_with curl)
+		$(use_enable xml dom)
+		$(use_with enchant)
+		$(use_enable exif)
+		$(use_with ffi)
+		$(use_enable fileinfo)
+		$(use_enable filter)
+		$(use_enable ftp)
+		$(use_with nls gettext "${EPREFIX}/usr")
+		$(use_with gmp gmp "${EPREFIX}/usr")
+		$(use_with mhash mhash "${EPREFIX}/usr")
+		$(use_with iconv iconv \
+			$(use elibc_glibc || use elibc_musl || echo "${EPREFIX}/usr"))
+		$(use_enable intl)
+		$(use_enable ipv6)
+		$(use_with kerberos)
+		$(use_with xml libxml)
+		$(use_enable unicode mbstring)
+		$(use_with ssl openssl)
+		$(use_enable pcntl)
+		$(use_enable phar)
+		$(use_enable pdo)
+		$(use_enable opcache)
+		$(use_with postgres pgsql "${EPREFIX}/usr")
+		$(use_enable posix)
+		$(use_with selinux fpm-selinux)
+		$(use_with spell pspell "${EPREFIX}/usr")
+		$(use_enable simplexml)
+		$(use_enable sharedmem shmop)
+		$(use_with snmp snmp "${EPREFIX}/usr")
+		$(use_enable soap)
+		$(use_enable sockets)
+		$(use_with sodium)
+		$(use_with sqlite sqlite3)
+		$(use_enable sysvipc sysvmsg)
+		$(use_enable sysvipc sysvsem)
+		$(use_enable sysvipc sysvshm)
+		$(use_with tidy tidy "${EPREFIX}/usr")
+		$(use_enable tokenizer)
+		$(use_enable xml)
+		$(use_enable xmlreader)
+		$(use_enable xmlwriter)
+		$(use_with xslt xsl)
+		$(use_with zip)
+		$(use_with zlib zlib "${EPREFIX}/usr")
+		$(use_enable debug)
+		$(use_with valgrind)
+	)
+
+	# DBA support
+	if use cdb || use berkdb || use flatfile || use gdbm || use inifile \
+		|| use qdbm || use lmdb || use tokyocabinet ; then
+		our_conf+=( "--enable-dba" )
+	fi
+
+	# DBA drivers support
+	our_conf+=(
+		$(use_with cdb)
+		$(use_with berkdb db4 "${EPREFIX}/usr")
+		$(use_enable flatfile)
+		$(use_with gdbm gdbm "${EPREFIX}/usr")
+		$(use_enable inifile)
+		$(use_with qdbm qdbm "${EPREFIX}/usr")
+		$(use_with tokyocabinet tcadb "${EPREFIX}/usr")
+		$(use_with lmdb lmdb "${EPREFIX}/usr")
+	)
+
+	# Support for the GD graphics library
+	our_conf+=(
+		$(use_with truetype freetype)
+		$(use_enable cjk gd-jis-conv)
+		$(use_with gd jpeg)
+		$(use_with xpm)
+		$(use_with webp)
+	)
+	# enable gd last, so configure can pick up the previous settings
+	our_conf+=( $(use_enable gd) )
+
+	# IMAP support
+	if use imap ; then
+		our_conf+=(
+			$(use_with imap imap "${EPREFIX}/usr")
+			$(use_with ssl imap-ssl "${EPREFIX}/usr")
+		)
+	fi
+
+	# LDAP support
+	if use ldap ; then
+		our_conf+=(
+			$(use_with ldap ldap "${EPREFIX}/usr")
+			$(use_with ldap-sasl)
+		)
+	fi
+
+	# MySQL support
+	our_conf+=( $(use_with mysqli) )
+
+	local mysqlsock="${EPREFIX}/var/run/mysqld/mysqld.sock"
+	if use mysql || use mysqli ; then
+		our_conf+=( $(use_with mysql mysql-sock "${mysqlsock}") )
+	fi
+
+	# ODBC support
+	if use odbc && use iodbc ; then
+		our_conf+=(
+			--without-unixODBC
+			--with-iodbc
+			$(use_with pdo pdo-odbc "iODBC,${EPREFIX}/usr")
+		)
+	elif use odbc ; then
+		our_conf+=(
+			--with-unixODBC="${EPREFIX}/usr"
+			--without-iodbc
+			$(use_with pdo pdo-odbc "unixODBC,${EPREFIX}/usr")
+		)
+	else
+		our_conf+=(
+			--without-unixODBC
+			--without-iodbc
+			--without-pdo-odbc
+		)
+	fi
+
+	# Oracle support
+	our_conf+=( $(use_with oci8-instant-client oci8) )
+
+	# PDO support
+	if use pdo ; then
+		our_conf+=(
+			$(use_with mssql pdo-dblib "${EPREFIX}/usr")
+			$(use_with mysql pdo-mysql "mysqlnd")
+			$(use_with postgres pdo-pgsql)
+			$(use_with sqlite pdo-sqlite)
+			$(use_with firebird pdo-firebird "${EPREFIX}/usr")
+			$(use_with oci8-instant-client pdo-oci)
+		)
+	fi
+
+	# readline/libedit support
+	our_conf+=(
+		$(use_with readline readline "${EPREFIX}/usr")
+		$(use_with libedit)
+	)
+
+	# Session support
+	if use session ; then
+		our_conf+=( $(use_with session-mm mm "${EPREFIX}/usr") )
+	else
+		our_conf+=( $(use_enable session) )
+	fi
+
+	# Use pic for shared modules such as apache2's mod_php
+	our_conf+=( --with-pic )
+
+	# we use the system copy of pcre
+	# --with-external-pcre affects ext/pcre
+	our_conf+=(
+		--with-external-pcre
+		$(use_with jit pcre-jit)
+	)
+
+	# Catch CFLAGS problems
+	# Fixes bug #14067.
+	# Changed order to run it in reverse for bug #32022 and #12021.
+	replace-cpu-flags "k6*" "i586"
+
+	# Cache the ./configure test results between SAPIs.
+	our_conf+=( --cache-file="${T}/config.cache" )
+
+	# Support user-passed configuration parameters
+	our_conf+=( ${EXTRA_ECONF:-} )
+
+	# Support the Apache2 extras, they must be set globally for all
+	# SAPIs to work correctly, especially for external PHP extensions
+
+	# Create separate build trees for each enabled SAPI. The upstream
+	# build system doesn't do this, but we have to do it to use a
+	# different php.ini for each SAPI (see --with-config-file-path and
+	# --with-config-file-scan-dir below). The path winds up define'd
+	# in main/build-defs.h which is included in main/php.h which is
+	# included by basically everything; so, avoiding a rebuild after
+	# changing it is not an easy job.
+	local one_sapi
+	local sapi
+	mkdir "${WORKDIR}/sapis-build" || die
+	for one_sapi in $SAPIS ; do
+		use "${one_sapi}" || continue
+		php_set_ini_dir "${one_sapi}"
+
+		# The BUILD_DIR variable is used to determine where to output
+		# the files that autotools creates. This was all originally
+		# based on the autotools-utils eclass.
+		BUILD_DIR="${WORKDIR}/sapis-build/${one_sapi}"
+		cp -a "${S}" "${BUILD_DIR}" || die
+
+		local sapi_conf=(
+			--with-config-file-path="${PHP_INI_DIR}"
+			--with-config-file-scan-dir="${PHP_EXT_INI_DIR_ACTIVE}"
+		)
+
+		for sapi in $SAPIS ; do
+			case "$sapi" in
+				cli|cgi|embed|fpm|phpdbg)
+					if [[ "${one_sapi}" == "${sapi}" ]] ; then
+						sapi_conf+=( "--enable-${sapi}" )
+						if [[ "fpm" == "${sapi}" ]] ; then
+							sapi_conf+=(
+								$(use_with acl fpm-acl)
+								$(use_with systemd fpm-systemd)
+							)
+						fi
+					else
+						sapi_conf+=( "--disable-${sapi}" )
+					fi
+					;;
+
+				apache2)
+					if [[ "${one_sapi}" == "${sapi}" ]] ; then
+						sapi_conf+=( --with-apxs2="${EPREFIX}/usr/bin/apxs" )
+					else
+						sapi_conf+=( --without-apxs2 )
+					fi
+					;;
+			esac
+		done
+
+		# Construct the $myeconfargs array by concatenating $our_conf
+		# (the common args) and $sapi_conf (the SAPI-specific args).
+		local myeconfargs=( "${our_conf[@]}" )
+		myeconfargs+=( "${sapi_conf[@]}" )
+
+		pushd "${BUILD_DIR}" > /dev/null || die
+		einfo "Running econf in ${BUILD_DIR}"
+		econf "${myeconfargs[@]}"
+		popd > /dev/null || die
+	done
+}
+
+src_compile() {
+	# snmp seems to run during src_compile, too (bug #324739)
+	addpredict /usr/share/snmp/mibs/.index #nowarn
+	addpredict /var/lib/net-snmp/mib_indexes #nowarn
+
+	if use oci8-instant-client && use kerberos && use imap && use phar; then
+		# A conspiracy takes place when the first three of these flags
+		# are set together, causing the newly-built "php" to open
+		# /dev/urandom with mode rw when it starts. That's not actually
+		# a problem... unless you also have USE=phar, which runs that
+		# "php" to build some phar thingy in src_compile(). Later in
+		# src_test(), portage (at least) sets "addpredict /" so the
+		# problem does not repeat.
+		addpredict /dev/urandom #nowarn
+	fi
+
+	local sapi
+	for sapi in ${SAPIS} ; do
+		use "${sapi}" && emake -C "${WORKDIR}/sapis-build/${sapi}"
+	done
+}
+
+src_install() {
+	# see bug #324739 for what happens when we don't have that
+	addpredict /usr/share/snmp/mibs/.index #nowarn
+
+	# grab the first SAPI that got built and install common files from there
+	local first_sapi="", sapi=""
+	for sapi in $SAPIS ; do
+		if use $sapi ; then
+			first_sapi=$sapi
+			break
+		fi
+	done
+
+	# Makefile forgets to create this before trying to write to it...
+	dodir "${PHP_DESTDIR#${EPREFIX}}/bin"
+
+	# Install php environment (without any sapis)
+	cd "${WORKDIR}/sapis-build/$first_sapi" || die
+	emake INSTALL_ROOT="${D}" \
+		install-build install-headers install-programs
+
+	local extension_dir="$("${ED}/${PHP_DESTDIR#${EPREFIX}}/bin/php-config" --extension-dir)"
+
+	# Create the directory where we'll put version-specific php scripts
+	keepdir "/usr/share/php${PHP_MV}"
+
+	local file=""
+	local sapi_list=""
+
+	for sapi in ${SAPIS}; do
+		if use "${sapi}" ; then
+			einfo "Installing SAPI: ${sapi}"
+			cd "${WORKDIR}/sapis-build/${sapi}" || die
+
+			if [[ "${sapi}" == "apache2" ]] ; then
+				# We're specifically not using emake install-sapi as libtool
+				# may cause unnecessary relink failures (see bug #351266)
+				insinto "${PHP_DESTDIR#${EPREFIX}}/apache2/"
+				newins ".libs/libphp$(get_libname)" \
+					   "libphp${PHP_MV}$(get_libname)"
+				keepdir "/usr/$(get_libdir)/apache2/modules"
+			else
+				# needed each time, php_install_ini would reset it
+				local dest="${PHP_DESTDIR#${EPREFIX}}"
+				into "${dest}"
+				case "$sapi" in
+					cli)
+						source="sapi/cli/php"
+						# Install the "phar" archive utility.
+						if use phar ; then
+							emake INSTALL_ROOT="${D}" install-pharcmd
+							dosym "..${dest#/usr}/bin/phar" "/usr/bin/phar${SLOT}"
+						fi
+						;;
+					cgi)
+						source="sapi/cgi/php-cgi"
+						;;
+					fpm)
+						source="sapi/fpm/php-fpm"
+						;;
+					embed)
+						source="libs/libphp$(get_libname)"
+						;;
+					phpdbg)
+						source="sapi/phpdbg/phpdbg"
+						;;
+					*)
+						die "unhandled sapi in src_install"
+						;;
+				esac
+
+				if [[ "${source}" == *"$(get_libname)" ]]; then
+					dolib.so "${source}"
+				else
+					dobin "${source}"
+					local name="$(basename ${source})"
+					dosym "..${dest#/usr}/bin/${name}" "/usr/bin/${name}${SLOT}"
+				fi
+			fi
+
+			php_install_ini "${sapi}"
+
+			# construct correct SAPI string for php-config
+			# thanks to ferringb for the bash voodoo
+			if [[ "${sapi}" == "apache2" ]]; then
+				sapi_list="${sapi_list:+${sapi_list} }apache2handler"
+			else
+				sapi_list="${sapi_list:+${sapi_list} }${sapi}"
+			fi
+		fi
+	done
+
+	# Installing opcache module
+	if use opcache ; then
+		into "${PHP_DESTDIR#${EPREFIX}}"
+		dolib.so "modules/opcache$(get_libname)"
+	fi
+
+	# Install env.d files
+	newenvd "${FILESDIR}/20php5-envd" "20php${SLOT}"
+	sed -e "s|/lib/|/$(get_libdir)/|g" -i "${ED}/etc/env.d/20php${SLOT}" || die
+	sed -e "s|php5|php${SLOT}|g" -i "${ED}/etc/env.d/20php${SLOT}" || die
+
+	# set php-config variable correctly (bug #278439)
+	sed -e "s:^\(php_sapis=\)\".*\"$:\1\"${sapi_list}\":" -i \
+		"${ED}/usr/$(get_libdir)/php${SLOT}/bin/php-config" || die
+
+	if use fpm ; then
+		if use systemd; then
+			systemd_newunit "${FILESDIR}/php-fpm_at.service" \
+							"php-fpm@${SLOT}.service"
+		else
+			systemd_newunit "${FILESDIR}/php-fpm_at-simple.service" \
+							"php-fpm@${SLOT}.service"
+		fi
+	fi
+}
+
+src_test() {
+	export TEST_PHP_EXECUTABLE="${WORKDIR}/sapis-build/cli/sapi/cli/php"
+
+	# Sometimes when the sub-php launches a sub-sub-php, it uses these.
+	# Without an "-n" in all instances, the *live* php.ini can be loaded,
+	# pulling in *live* zend extensions. And those can be incompatible
+	# with the thing we just built.
+	export TEST_PHP_EXTRA_ARGS="-n"
+
+	if [[ -x "${WORKDIR}/sapis-build/cgi/sapi/cgi/php-cgi" ]] ; then
+		export TEST_PHP_CGI_EXECUTABLE="${WORKDIR}/sapis-build/cgi/sapi/cgi/php-cgi"
+	fi
+
+	if [[ -x "${WORKDIR}/sapis-build/phpdbg/sapi/phpdbg/phpdbg" ]] ; then
+		export TEST_PHPDBG_EXECUTABLE="${WORKDIR}/sapis-build/phpdbg/sapi/phpdbg/phpdbg"
+	fi
+
+	# The sendmail override prevents ext/imap/tests/bug77020.phpt from
+	# actually trying to send mail, and will be fixed upstream soon:
+	#
+	#   https://github.com/php/php-src/issues/11629
+	#
+	# The IO capture tests need to be disabled because they fail when
+	# std{in,out,err} are redirected (as they are within portage).
+	#
+	# One -n applies to the top-level "php", while the other applies
+	# to any sub-php that get invoked by the test runner.
+	SKIP_IO_CAPTURE_TESTS=1 SKIP_PERF_SENSITIVE=1 REPORT_EXIT_STATUS=1 \
+		"${TEST_PHP_EXECUTABLE}" -n \
+		"${WORKDIR}/sapis-build/cli/run-tests.php" --offline -n -q \
+		-d "session.save_path=${T}" \
+		-d "sendmail_path=echo >/dev/null" \
+		|| die "tests failed"
+}
+
+pkg_postinst() {
+	# Output some general info to the user
+	if use apache2 ; then
+		elog
+		elog "To enable PHP in apache, you will need to add \"-D PHP\" to"
+		elog "your apache2 command. OpenRC users can append that string to"
+		elog "APACHE2_OPTS in /etc/conf.d/apache2."
+		elog
+		elog "The apache module configuration file 70_mod_php.conf is"
+		elog "provided (and maintained) by eselect-php."
+		elog
+	fi
+
+	# Create the symlinks for php
+	local m
+	for m in ${SAPIS}; do
+		[[ ${m} == 'embed' ]] && continue;
+		if use $m ; then
+			local ci=$(eselect php show $m)
+			if [[ -z $ci ]]; then
+				eselect php set $m php${SLOT} || die
+				einfo "Switched ${m} to use php:${SLOT}"
+				einfo
+			elif [[ $ci != "php${SLOT}" ]] ; then
+				elog "To switch $m to use php:${SLOT}, run"
+				elog "    eselect php set $m php${SLOT}"
+				elog
+			fi
+		fi
+	done
+
+	# Remove dead symlinks for SAPIs that were just disabled. For
+	# example, if the user has the cgi SAPI enabled, then he has an
+	# eselect-php symlink for it. If he later reinstalls PHP with
+	# USE="-cgi", that symlink will break. This call to eselect is
+	# supposed to remove that dead link per bug 572436.
+	eselect php cleanup || die
+
+	if ! has "php${SLOT/./-}" ${PHP_TARGETS}; then
+	   elog "To build extensions for this version of PHP, you will need to"
+	   elog "add php${SLOT/./-} to your PHP_TARGETS USE_EXPAND variable."
+	   elog
+	fi
+
+	# Warn about the removal of PHP_INI_VERSION if the user has it set.
+	if [[ -n "${PHP_INI_VERSION}" ]]; then
+		ewarn 'The PHP_INI_VERSION variable has been phased out. You may'
+		ewarn 'remove it from your configuration at your convenience. See'
+		ewarn
+		ewarn '  https://bugs.gentoo.org/611214'
+		ewarn
+		ewarn 'for more information.'
+	fi
+
+	elog "For details on how version slotting works, please see"
+	elog "the wiki:"
+	elog
+	elog "  https://wiki.gentoo.org/wiki/PHP"
+	elog
+}
+
+pkg_postrm() {
+	# This serves two purposes. First, if we have just removed the last
+	# installed version of PHP, then this will remove any dead symlinks
+	# belonging to eselect-php. Second, if a user upgrades slots from
+	# (say) 5.6 to 7.0 and depcleans the old slot, then this will update
+	# his existing symlinks to point to the new 7.0 installation. The
+	# latter is bug 432962.
+	#
+	# Note: the eselect-php package may not be installed at this point,
+	# so we can't die() if this command fails.
+	eselect php cleanup
+}


             reply	other threads:[~2023-12-06  2:02 UTC|newest]

Thread overview: 1246+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-06  2:02 Michael Orlitzky [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-03 13:54 [gentoo-commits] repo/gentoo:master commit in: dev-lang/php/ Michael Orlitzky
2024-08-03 13:54 Michael Orlitzky
2024-07-05 19:41 Viorel Munteanu
2024-07-05 19:41 Viorel Munteanu
2024-07-05 19:41 Viorel Munteanu
2024-07-05 19:41 Viorel Munteanu
2024-07-04 16:41 Michael Orlitzky
2024-07-03  5:17 Ionen Wolkens
2024-07-03  5:17 Ionen Wolkens
2024-07-03  5:17 Ionen Wolkens
2024-07-03  5:17 Ionen Wolkens
2024-06-12  5:40 Arthur Zamarin
2024-06-12  5:40 Arthur Zamarin
2024-06-07 17:46 Arthur Zamarin
2024-06-07 17:46 Arthur Zamarin
2024-06-07 17:46 Arthur Zamarin
2024-06-07 17:46 Arthur Zamarin
2024-06-07 14:43 Michael Orlitzky
2024-06-04 19:10 Michael Orlitzky
2024-06-04 19:10 Michael Orlitzky
2024-05-30 15:06 Michael Orlitzky
2024-05-30 15:06 Michael Orlitzky
2024-05-29 14:30 Michael Orlitzky
2024-04-30  2:30 Ionen Wolkens
2024-04-24 15:02 Sam James
2024-04-13 18:20 Arthur Zamarin
2024-04-13 18:20 Arthur Zamarin
2024-04-13 18:12 Arthur Zamarin
2024-04-13 18:12 Arthur Zamarin
2024-04-13 16:10 Michael Orlitzky
2024-04-12  6:26 Arthur Zamarin
2024-04-11 20:57 Michael Orlitzky
2024-04-01 12:29 Michael Orlitzky
2024-04-01 11:54 Michael Orlitzky
2024-03-11 10:25 Michael Orlitzky
2024-03-07 20:24 Sam James
2024-03-07 18:41 Sam James
2024-03-07 13:43 Michael Orlitzky
2024-02-22 20:19 Michael Orlitzky
2024-02-18 23:54 Michael Orlitzky
2024-02-18 21:07 Florian Schmaus
2024-02-11 13:29 Michael Orlitzky
2024-02-08  0:32 Michael Orlitzky
2024-02-07 14:45 Michael Orlitzky
2024-01-30 16:01 Sam James
2024-01-25  2:16 Michael Orlitzky
2024-01-25  2:16 Michael Orlitzky
2024-01-25  2:16 Michael Orlitzky
2024-01-25  2:16 Michael Orlitzky
2024-01-21  7:58 Viorel Munteanu
2024-01-16  7:59 Sam James
2024-01-16  7:59 Sam James
2024-01-16  7:59 Sam James
2024-01-16  7:59 Sam James
2024-01-10 15:03 Sam James
2024-01-07  6:14 Sam James
2024-01-03 18:52 Arthur Zamarin
2024-01-03 18:52 Arthur Zamarin
2024-01-03  1:08 Sam James
2024-01-02  5:20 Sam James
2023-12-08 13:48 Michael Orlitzky
2023-12-06  2:02 Michael Orlitzky
2023-11-27 18:10 Michael Orlitzky
2023-11-27 18:10 Michael Orlitzky
2023-10-30 11:20 Michael Orlitzky
2023-10-30 11:20 Michael Orlitzky
2023-10-03 12:33 Michael Orlitzky
2023-10-03 12:33 Michael Orlitzky
2023-09-13 19:37 Michael Orlitzky
2023-09-13 19:37 Michael Orlitzky
2023-09-09 19:00 David Seifert
2023-09-09 18:42 David Seifert
2023-09-07 18:58 Michael Orlitzky
2023-09-07 18:58 Michael Orlitzky
2023-08-26 13:12 Sam James
2023-08-22 17:36 Michael Orlitzky
2023-08-22 17:36 Michael Orlitzky
2023-08-16  0:01 Michael Orlitzky
2023-08-13 15:37 Arthur Zamarin
2023-08-13 15:37 Arthur Zamarin
2023-08-13 15:37 Arthur Zamarin
2023-08-13 15:37 Arthur Zamarin
2023-07-31  0:53 Michael Orlitzky
2023-07-31  0:53 Michael Orlitzky
2023-07-31  0:53 Michael Orlitzky
2023-07-07 20:14 Michael Orlitzky
2023-06-30 10:21 Sam James
2023-06-18 17:00 Arthur Zamarin
2023-06-18 17:00 Arthur Zamarin
2023-06-18 17:00 Arthur Zamarin
2023-06-18 17:00 Arthur Zamarin
2023-06-18 17:00 Arthur Zamarin
2023-06-18 17:00 Arthur Zamarin
2023-06-18 17:00 Arthur Zamarin
2023-06-18 17:00 Arthur Zamarin
2023-06-18 17:00 Arthur Zamarin
2023-06-18 14:14 Michael Orlitzky
2023-06-12 19:36 Michael Orlitzky
2023-06-12 19:36 Michael Orlitzky
2023-05-16 20:21 Michael Orlitzky
2023-05-16 20:21 Michael Orlitzky
2023-05-16 20:21 Michael Orlitzky
2023-05-05  3:12 Brian Evans
2023-05-05  2:33 Brian Evans
2023-04-04 22:24 Sam James
2023-04-04 22:24 Sam James
2023-04-04 22:24 Sam James
2023-04-02 19:27 Arthur Zamarin
2023-04-02 19:27 Arthur Zamarin
2023-04-02 19:27 Arthur Zamarin
2023-03-17 16:49 Michael Orlitzky
2023-03-17 16:49 Michael Orlitzky
2023-03-17 16:49 Michael Orlitzky
2023-03-01 17:13 Matt Turner
2023-02-23 20:12 Arthur Zamarin
2023-02-23 20:12 Arthur Zamarin
2023-02-23 20:12 Arthur Zamarin
2023-02-23 20:12 Arthur Zamarin
2023-02-23 20:12 Arthur Zamarin
2023-02-23 20:12 Arthur Zamarin
2023-02-20 19:43 Brian Evans
2023-02-20 19:43 Brian Evans
2023-02-20 19:43 Brian Evans
2023-02-20 19:43 Brian Evans
2023-02-01  9:51 Arthur Zamarin
2023-02-01  9:51 Arthur Zamarin
2023-02-01  9:51 Arthur Zamarin
2023-02-01  9:51 Arthur Zamarin
2023-01-13 14:17 Arthur Zamarin
2023-01-13 14:17 Arthur Zamarin
2023-01-13 14:17 Arthur Zamarin
2023-01-13 14:17 Arthur Zamarin
2023-01-06  0:08 Brian Evans
2023-01-05 21:30 Brian Evans
2023-01-05 21:30 Brian Evans
2022-12-09 16:04 Brian Evans
2022-12-09 16:04 Brian Evans
2022-11-29 17:55 Brian Evans
2022-11-29 17:55 Brian Evans
2022-11-29 17:55 Brian Evans
2022-11-20  3:21 Brian Evans
2022-11-18 16:12 Brian Evans
2022-11-18  7:07 Jakov Smolić
2022-11-18  7:07 Jakov Smolić
2022-11-18  7:07 Jakov Smolić
2022-11-08  4:54 Jakov Smolić
2022-11-08  4:54 Jakov Smolić
2022-11-08  4:54 Jakov Smolić
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 17:26 Arthur Zamarin
2022-11-03 13:02 Brian Evans
2022-10-28 19:23 Brian Evans
2022-10-28 18:22 Brian Evans
2022-10-28 18:22 Brian Evans
2022-10-19  9:15 WANG Xuerui
2022-10-03 14:05 Brian Evans
2022-10-03  8:32 Agostino Sarubbo
2022-10-03  8:32 Agostino Sarubbo
2022-10-03  8:32 Agostino Sarubbo
2022-10-01 18:39 Agostino Sarubbo
2022-10-01 18:39 Agostino Sarubbo
2022-10-01 18:39 Agostino Sarubbo
2022-10-01 18:38 Agostino Sarubbo
2022-10-01 18:38 Agostino Sarubbo
2022-10-01 18:38 Agostino Sarubbo
2022-10-01 18:38 Agostino Sarubbo
2022-10-01 18:38 Agostino Sarubbo
2022-10-01 18:38 Agostino Sarubbo
2022-10-01 18:37 Agostino Sarubbo
2022-10-01 18:37 Agostino Sarubbo
2022-10-01 18:37 Agostino Sarubbo
2022-10-01 18:36 Agostino Sarubbo
2022-10-01 18:36 Agostino Sarubbo
2022-10-01 18:36 Agostino Sarubbo
2022-10-01  6:47 Agostino Sarubbo
2022-10-01  6:47 Agostino Sarubbo
2022-10-01  6:47 Agostino Sarubbo
2022-09-30 19:50 Brian Evans
2022-09-30 17:14 Brian Evans
2022-09-29 17:29 Brian Evans
2022-09-29 17:10 Brian Evans
2022-09-11  0:57 Brian Evans
2022-09-11  0:11 Brian Evans
2022-08-06 22:40 Michael Orlitzky
2022-08-04 17:56 Brian Evans
2022-08-04 17:56 Brian Evans
2022-07-09 12:52 Brian Evans
2022-07-09 12:17 Agostino Sarubbo
2022-07-09 12:14 Agostino Sarubbo
2022-07-09 11:43 Arthur Zamarin
2022-07-09 11:43 Arthur Zamarin
2022-07-09 11:43 Arthur Zamarin
2022-07-09 11:43 Arthur Zamarin
2022-07-09 11:43 Arthur Zamarin
2022-07-07 19:28 Brian Evans
2022-07-07 19:10 Brian Evans
2022-06-22 13:44 Brian Evans
2022-06-22  5:46 Agostino Sarubbo
2022-06-21  7:38 Agostino Sarubbo
2022-06-21  7:38 Agostino Sarubbo
2022-06-21  7:38 Agostino Sarubbo
2022-06-21  7:37 Agostino Sarubbo
2022-06-21  7:36 Agostino Sarubbo
2022-06-21  7:35 Agostino Sarubbo
2022-06-17 15:33 Brian Evans
2022-06-17 15:33 Brian Evans
2022-06-17 15:33 Brian Evans
2022-06-17 15:33 Brian Evans
2022-05-13 20:26 Brian Evans
2022-05-13 20:26 Brian Evans
2022-05-13 17:45 Brian Evans
2022-04-18 15:07 Brian Evans
2022-04-18 14:20 Brian Evans
2022-04-05 19:37 Brian Evans
2022-03-23  0:45 Sam James
2022-03-18 13:28 Brian Evans
2022-03-17 19:59 Brian Evans
2022-03-03 19:09 Brian Evans
2022-02-19  7:56 Arthur Zamarin
2022-02-19  7:56 Arthur Zamarin
2022-02-19  7:56 Arthur Zamarin
2022-02-19  7:56 Arthur Zamarin
2022-02-19  7:56 Arthur Zamarin
2022-02-19  7:56 Arthur Zamarin
2022-02-19  7:56 Arthur Zamarin
2022-02-19  7:56 Arthur Zamarin
2022-02-19  7:53 Arthur Zamarin
2022-02-19  7:53 Arthur Zamarin
2022-02-19  7:53 Arthur Zamarin
2022-02-19  7:53 Arthur Zamarin
2022-02-19  7:53 Arthur Zamarin
2022-02-19  7:53 Arthur Zamarin
2022-02-18 14:39 Brian Evans
2022-02-18 14:39 Brian Evans
2022-02-18 14:39 Brian Evans
2022-02-18 14:39 Brian Evans
2022-01-21 14:35 Brian Evans
2022-01-21 14:35 Brian Evans
2022-01-20 16:21 Brian Evans
2022-01-02 17:49 David Seifert
2021-12-30 16:15 Brian Evans
2021-12-30 15:53 Brian Evans
2021-12-30 15:22 Brian Evans
2021-11-29 19:36 Brian Evans
2021-11-29 19:36 Brian Evans
2021-11-19 14:46 Brian Evans
2021-11-18 15:04 Brian Evans
2021-11-18 14:40 Brian Evans
2021-11-10 12:49 Jakov Smolić
2021-11-07 13:07 Brian Evans
2021-11-07 13:07 Brian Evans
2021-11-06  1:33 Sam James
2021-11-06  1:33 Sam James
2021-11-06  1:33 Sam James
2021-10-29  2:24 Sam James
2021-10-29  2:24 Sam James
2021-10-29  2:24 Sam James
2021-10-28 19:53 Brian Evans
2021-10-28 14:02 Agostino Sarubbo
2021-10-28 14:00 Agostino Sarubbo
2021-10-28 12:34 Brian Evans
2021-10-26 16:07 Sam James
2021-10-26 16:07 Sam James
2021-10-26 16:07 Sam James
2021-10-26 13:30 Agostino Sarubbo
2021-10-26 13:28 Agostino Sarubbo
2021-10-22 16:57 Brian Evans
2021-10-21 14:20 Brian Evans
2021-10-06  2:40 Brian Evans
2021-10-05 17:59 Sam James
2021-10-05 17:59 Sam James
2021-10-05 17:59 Sam James
2021-10-03  0:37 Sam James
2021-10-03  0:37 Sam James
2021-10-03  0:37 Sam James
2021-10-02 23:54 Sam James
2021-10-02 23:54 Sam James
2021-10-02 23:54 Sam James
2021-09-30  7:12 Agostino Sarubbo
2021-09-29  7:57 Agostino Sarubbo
2021-09-29  7:57 Agostino Sarubbo
2021-09-29  7:56 Agostino Sarubbo
2021-09-26  0:27 Brian Evans
2021-09-25 23:44 Brian Evans
2021-09-25 23:44 Brian Evans
2021-09-25 23:44 Brian Evans
2021-08-29  8:37 Marek Szuba
2021-08-27 13:16 Thomas Deutschmann
2021-08-27 13:16 Thomas Deutschmann
2021-08-27 13:16 Thomas Deutschmann
2021-08-07 18:53 Michael Orlitzky
2021-07-29 15:57 Thomas Deutschmann
2021-07-29 15:57 Thomas Deutschmann
2021-07-15 20:22 Michael Orlitzky
2021-07-13  6:34 Agostino Sarubbo
2021-07-10 18:54 Sam James
2021-07-09  6:26 Agostino Sarubbo
2021-07-08  6:22 Agostino Sarubbo
2021-07-08  6:21 Agostino Sarubbo
2021-07-07 14:22 Sergei Trofimovich
2021-07-07 14:22 Sergei Trofimovich
2021-07-01 22:15 Michael Orlitzky
2021-07-01 22:15 Michael Orlitzky
2021-06-04  7:33 Thomas Deutschmann
2021-06-04  7:33 Thomas Deutschmann
2021-05-26  9:50 Thomas Deutschmann
2021-05-11 20:39 Sergei Trofimovich
2021-05-11 20:39 Sergei Trofimovich
2021-05-11 20:38 Sergei Trofimovich
2021-05-11 20:38 Sergei Trofimovich
2021-05-11 10:02 Agostino Sarubbo
2021-05-10 13:20 Sergei Trofimovich
2021-05-10 13:20 Sergei Trofimovich
2021-05-09  2:08 Sam James
2021-05-09  2:08 Sam James
2021-05-09  2:08 Sam James
2021-05-09  2:08 Sam James
2021-05-08 18:44 Sam James
2021-05-08 18:44 Sam James
2021-05-07 15:02 Thomas Deutschmann
2021-05-06 10:56 Thomas Deutschmann
2021-05-02  8:35 Mikle Kolyada
2021-04-30 18:33 Brian Evans
2021-04-30 13:08 Thomas Deutschmann
2021-04-29 19:23 Thomas Deutschmann
2021-04-29 19:23 Thomas Deutschmann
2021-04-18  1:47 Sam James
2021-04-12  1:27 Sam James
2021-03-31 13:50 Agostino Sarubbo
2021-03-30 22:05 Sam James
2021-03-30 22:05 Sam James
2021-03-30 22:05 Sam James
2021-03-30 22:03 Sam James
2021-03-30 18:00 Thomas Deutschmann
2021-03-25 16:05 Brian Evans
2021-03-05 12:53 Thomas Deutschmann
2021-03-05 12:53 Thomas Deutschmann
2021-02-25 11:19 Sam James
2021-02-25 11:19 Sam James
2021-02-16 19:20 Sam James
2021-02-16 19:20 Sam James
2021-02-15  6:05 Sam James
2021-02-15  6:05 Sam James
2021-02-11 15:02 Sergei Trofimovich
2021-02-11 15:02 Sergei Trofimovich
2021-02-11  7:53 Sam James
2021-02-11  7:53 Sam James
2021-02-11  7:45 Sergei Trofimovich
2021-02-11  7:45 Sergei Trofimovich
2021-02-11  7:45 Sergei Trofimovich
2021-02-11  7:45 Sergei Trofimovich
2021-02-09 22:53 Sam James
2021-02-09 22:53 Sam James
2021-02-04 18:56 Thomas Deutschmann
2021-02-04 18:56 Thomas Deutschmann
2021-02-04 18:56 Thomas Deutschmann
2021-01-30 14:59 Michael Orlitzky
2021-01-25 14:16 Sam James
2021-01-25 14:16 Sam James
2021-01-21  7:40 Agostino Sarubbo
2021-01-17 11:41 Sergei Trofimovich
2021-01-17 11:41 Sergei Trofimovich
2021-01-07 19:30 Brian Evans
2021-01-07 18:25 Brian Evans
2021-01-07 16:58 Brian Evans
2021-01-07 16:06 Brian Evans
2021-01-07  2:18 Michael Orlitzky
2020-12-20 22:11 Thomas Deutschmann
2020-12-16 18:48 Thomas Deutschmann
2020-12-15 10:37 Sam James
2020-12-15 10:37 Sam James
2020-12-15  2:17 Matt Turner
2020-12-11 18:06 Sergei Trofimovich
2020-12-11 18:06 Sergei Trofimovich
2020-12-08  2:32 Brian Evans
2020-12-08  1:07 Brian Evans
2020-12-07  5:23 Sam James
2020-12-07  5:23 Sam James
2020-12-06 23:25 Sam James
2020-12-06 23:25 Sam James
2020-12-04 18:37 Sergei Trofimovich
2020-12-04 18:37 Sergei Trofimovich
2020-12-04 18:31 Sergei Trofimovich
2020-12-04 18:31 Sergei Trofimovich
2020-12-04  0:27 Thomas Deutschmann
2020-11-26 14:16 Thomas Deutschmann
2020-11-26 14:16 Thomas Deutschmann
2020-11-01 23:41 Thomas Deutschmann
2020-10-29 13:10 Thomas Deutschmann
2020-10-07  6:53 Agostino Sarubbo
2020-10-07  6:50 Agostino Sarubbo
2020-10-06 13:09 Sam James
2020-10-06 13:09 Sam James
2020-10-06 13:09 Sam James
2020-10-04 19:49 Sergei Trofimovich
2020-10-04 19:49 Sergei Trofimovich
2020-10-04 19:49 Sergei Trofimovich
2020-10-04 17:05 Sam James
2020-10-04 17:05 Sam James
2020-10-04 17:05 Sam James
2020-10-01 15:20 Thomas Deutschmann
2020-10-01 15:20 Thomas Deutschmann
2020-10-01 15:20 Thomas Deutschmann
2020-09-03 15:07 Thomas Deutschmann
2020-09-03 15:07 Thomas Deutschmann
2020-09-01 11:42 Michael Orlitzky
2020-09-01  4:16 Sam James
2020-09-01  4:16 Sam James
2020-09-01  4:16 Sam James
2020-08-29 18:20 Sam James
2020-08-29 18:20 Sam James
2020-08-29 18:20 Sam James
2020-08-15  7:26 Sergei Trofimovich
2020-08-15  7:26 Sergei Trofimovich
2020-08-15  7:26 Sergei Trofimovich
2020-08-15  7:05 Sam James
2020-08-15  7:05 Sam James
2020-08-15  7:05 Sam James
2020-08-15  5:55 Sam James
2020-08-15  5:55 Sam James
2020-08-15  5:55 Sam James
2020-08-14 23:08 Sam James
2020-08-14 23:08 Sam James
2020-08-14 23:08 Sam James
2020-08-14 22:50 Sam James
2020-08-14 22:50 Sam James
2020-08-14 22:50 Sam James
2020-08-14 22:04 Sam James
2020-08-14 22:04 Sam James
2020-08-14 22:04 Sam James
2020-08-06 14:34 Thomas Deutschmann
2020-08-06 14:34 Thomas Deutschmann
2020-08-06 14:34 Thomas Deutschmann
2020-07-19 11:52 Sam James
2020-07-18 11:51 Sam James
2020-07-18  0:55 Sam James
2020-07-18  0:29 Sam James
2020-07-17 21:29 Sergei Trofimovich
2020-07-17 21:29 Sergei Trofimovich
2020-07-17 21:29 Sergei Trofimovich
2020-07-17 18:38 Agostino Sarubbo
2020-07-17  7:02 Agostino Sarubbo
2020-07-17  0:12 Thomas Deutschmann
2020-07-15  8:49 Sergei Trofimovich
2020-07-15  8:49 Sergei Trofimovich
2020-07-15  8:49 Sergei Trofimovich
2020-07-08 11:34 Thomas Deutschmann
2020-07-08 11:34 Thomas Deutschmann
2020-07-08 11:34 Thomas Deutschmann
2020-06-12 14:33 Thomas Deutschmann
2020-06-12 14:33 Thomas Deutschmann
2020-06-10 13:53 Michael Orlitzky
2020-06-07 21:02 Mart Raudsepp
2020-05-21 21:34 Sergei Trofimovich
2020-05-21 21:34 Sergei Trofimovich
2020-05-21 21:34 Sergei Trofimovich
2020-05-18 16:46 Sergei Trofimovich
2020-05-18 16:46 Sergei Trofimovich
2020-05-18 16:46 Sergei Trofimovich
2020-05-18 15:13 Agostino Sarubbo
2020-05-18 15:12 Agostino Sarubbo
2020-05-18 15:08 Agostino Sarubbo
2020-05-18 13:00 Agostino Sarubbo
2020-05-18 12:58 Agostino Sarubbo
2020-05-14 19:59 Brian Evans
2020-05-14 19:12 Brian Evans
2020-05-14 18:17 Brian Evans
2020-05-01 18:23 Thomas Deutschmann
2020-04-20 13:28 Agostino Sarubbo
2020-04-20 13:28 Agostino Sarubbo
2020-04-19 12:16 Agostino Sarubbo
2020-04-19 12:14 Agostino Sarubbo
2020-04-19  8:38 Sergei Trofimovich
2020-04-18 17:09 Mart Raudsepp
2020-04-18  9:18 Agostino Sarubbo
2020-04-18  8:24 Sergei Trofimovich
2020-04-18  8:24 Sergei Trofimovich
2020-04-18  8:24 Sergei Trofimovich
2020-04-16 12:07 Thomas Deutschmann
2020-04-16 12:07 Thomas Deutschmann
2020-04-16 12:07 Thomas Deutschmann
2020-04-01 16:50 Thomas Deutschmann
2020-04-01 16:50 Thomas Deutschmann
2020-03-30 17:24 Mart Raudsepp
2020-03-29 14:45 Sergei Trofimovich
2020-03-29 14:45 Sergei Trofimovich
2020-03-29 14:45 Sergei Trofimovich
2020-03-27 18:19 Sergei Trofimovich
2020-03-26 22:50 Thomas Deutschmann
2020-03-26 10:24 Agostino Sarubbo
2020-03-26 10:19 Agostino Sarubbo
2020-03-26  8:30 Agostino Sarubbo
2020-03-26  8:29 Agostino Sarubbo
2020-03-26  8:28 Agostino Sarubbo
2020-03-25 23:08 Sergei Trofimovich
2020-03-25 23:08 Sergei Trofimovich
2020-03-19 15:38 Thomas Deutschmann
2020-03-19 15:38 Thomas Deutschmann
2020-03-19 15:38 Thomas Deutschmann
2020-03-17 20:48 Mart Raudsepp
2020-03-05 15:06 Agostino Sarubbo
2020-03-03 20:05 Brian Evans
2020-03-02 18:26 Sergei Trofimovich
2020-03-02 18:26 Sergei Trofimovich
2020-03-02 18:26 Sergei Trofimovich
2020-03-02  2:51 Brian Evans
2020-03-01 13:59 Michael Orlitzky
2020-02-26 16:32 Sergei Trofimovich
2020-02-24 18:48 Brian Evans
2020-02-24 12:50 Agostino Sarubbo
2020-02-24 11:43 Agostino Sarubbo
2020-02-24 11:28 Agostino Sarubbo
2020-02-23 12:16 Mikle Kolyada
2020-02-22 16:11 Sergei Trofimovich
2020-02-22 16:11 Sergei Trofimovich
2020-02-20 17:34 Thomas Deutschmann
2020-02-20 16:09 Thomas Deutschmann
2020-02-20 16:09 Thomas Deutschmann
2020-02-20 16:09 Thomas Deutschmann
2020-01-28 18:07 Sergei Trofimovich
2020-01-27 11:10 Mikle Kolyada
2020-01-27  9:53 Sergei Trofimovich
2020-01-27  9:53 Sergei Trofimovich
2020-01-27  9:33 Sergei Trofimovich
2020-01-27  9:33 Sergei Trofimovich
2020-01-27  8:10 Sergei Trofimovich
2020-01-27  8:10 Sergei Trofimovich
2020-01-26 20:25 Thomas Deutschmann
2020-01-25 17:36 Sergei Trofimovich
2020-01-25 17:36 Sergei Trofimovich
2020-01-24 15:57 Agostino Sarubbo
2020-01-23 15:05 Brian Evans
2020-01-23 15:00 Thomas Deutschmann
2020-01-23 15:00 Thomas Deutschmann
2020-01-23 15:00 Thomas Deutschmann
2020-01-21 23:31 Michael Orlitzky
2020-01-17 20:14 Thomas Deutschmann
2020-01-17 20:14 Thomas Deutschmann
2019-12-31  8:18 Agostino Sarubbo
2019-12-30 15:53 Agostino Sarubbo
2019-12-25 20:24 Sergei Trofimovich
2019-12-25 20:24 Sergei Trofimovich
2019-12-25 20:22 Sergei Trofimovich
2019-12-25 20:22 Sergei Trofimovich
2019-12-25 20:05 Aaron Bauman
2019-12-24 20:36 Sergei Trofimovich
2019-12-24 14:02 Mikle Kolyada
2019-12-24  8:08 Agostino Sarubbo
2019-12-23  9:22 Mikle Kolyada
2019-12-19  2:58 Thomas Deutschmann
2019-12-19  2:58 Thomas Deutschmann
2019-12-18 13:02 Thomas Deutschmann
2019-12-13  0:07 Thomas Deutschmann
2019-11-28 20:37 Thomas Deutschmann
2019-11-23 14:56 Thomas Deutschmann
2019-11-21 11:25 Thomas Deutschmann
2019-11-21 11:25 Thomas Deutschmann
2019-11-19 10:44 Thomas Deutschmann
2019-11-14 19:51 Brian Evans
2019-11-11 20:31 Thomas Deutschmann
2019-11-11 18:48 Thomas Deutschmann
2019-11-06 22:50 Aaron Bauman
2019-11-01 17:41 Brian Evans
2019-11-01 17:41 Brian Evans
2019-11-01 10:17 Mikle Kolyada
2019-10-27 19:25 Sergei Trofimovich
2019-10-26 20:35 Sergei Trofimovich
2019-10-26 16:37 Sergei Trofimovich
2019-10-25 19:38 Sergei Trofimovich
2019-10-25 19:38 Sergei Trofimovich
2019-10-25 19:38 Sergei Trofimovich
2019-10-24 13:31 Thomas Deutschmann
2019-10-24 13:31 Thomas Deutschmann
2019-10-24 13:31 Thomas Deutschmann
2019-10-18 17:35 Thomas Deutschmann
2019-10-13 19:01 Matt Turner
2019-10-04 16:24 Brian Evans
2019-10-04 16:24 Brian Evans
2019-10-04 16:24 Brian Evans
2019-09-27  0:32 Brian Evans
2019-09-26 13:20 Thomas Deutschmann
2019-09-19 17:29 Brian Evans
2019-09-17 17:45 Brian Evans
2019-09-17 17:45 Brian Evans
2019-09-15  9:03 Agostino Sarubbo
2019-09-13 22:43 Sergei Trofimovich
2019-09-13 18:31 Mikle Kolyada
2019-09-13 17:27 Agostino Sarubbo
2019-09-13 12:03 Agostino Sarubbo
2019-09-13 12:01 Agostino Sarubbo
2019-09-13  2:37 Aaron Bauman
2019-09-13  0:00 Thomas Deutschmann
2019-09-12 21:07 Thomas Deutschmann
2019-09-11  6:48 Jeroen Roovers
2019-09-09 17:10 Agostino Sarubbo
2019-09-09  8:01 Agostino Sarubbo
2019-09-09  8:00 Agostino Sarubbo
2019-09-09  6:54 Agostino Sarubbo
2019-09-09  3:48 Aaron Bauman
2019-09-08 20:00 Thomas Deutschmann
2019-09-08 13:54 Thomas Deutschmann
2019-09-04 14:02 Brian Evans
2019-09-04 13:39 Brian Evans
2019-08-29 16:38 Thomas Deutschmann
2019-08-29 16:14 Thomas Deutschmann
2019-08-28 11:17 Thomas Deutschmann
2019-08-24 10:30 Thomas Deutschmann
2019-08-14 12:42 Brian Evans
2019-08-14  7:34 Agostino Sarubbo
2019-08-13 11:07 Agostino Sarubbo
2019-08-13 10:58 Agostino Sarubbo
2019-08-11 17:00 Sergei Trofimovich
2019-08-11 17:00 Sergei Trofimovich
2019-08-11 17:00 Sergei Trofimovich
2019-08-11 17:00 Sergei Trofimovich
2019-08-10  9:04 Sergei Trofimovich
2019-08-10  9:04 Sergei Trofimovich
2019-08-10  9:04 Sergei Trofimovich
2019-08-10  9:04 Sergei Trofimovich
2019-08-08 18:43 Sergei Trofimovich
2019-08-08 17:07 Sergei Trofimovich
2019-08-08 17:07 Sergei Trofimovich
2019-08-08 17:07 Sergei Trofimovich
2019-08-07  8:44 Mikle Kolyada
2019-08-07  8:44 Mikle Kolyada
2019-08-07  8:44 Mikle Kolyada
2019-08-06 22:03 Aaron Bauman
2019-08-06 12:57 Brian Evans
2019-08-02 16:21 Brian Evans
2019-08-02 14:59 Brian Evans
2019-08-01 15:30 Thomas Deutschmann
2019-08-01 15:30 Thomas Deutschmann
2019-07-29 13:47 Brian Evans
2019-07-29 12:49 Brian Evans
2019-07-28 20:24 Mikle Kolyada
2019-07-25 14:01 Brian Evans
2019-07-22 12:11 Agostino Sarubbo
2019-07-22  8:50 Mikle Kolyada
2019-07-21 20:33 Aaron Bauman
2019-07-21  8:37 Sergei Trofimovich
2019-07-21  8:37 Sergei Trofimovich
2019-07-21  8:25 Sergei Trofimovich
2019-07-21  8:25 Sergei Trofimovich
2019-07-21  8:19 Sergei Trofimovich
2019-07-21  8:19 Sergei Trofimovich
2019-07-21  8:16 Sergei Trofimovich
2019-07-21  8:16 Sergei Trofimovich
2019-07-19 14:32 Agostino Sarubbo
2019-07-19  6:29 Sergei Trofimovich
2019-07-19  6:29 Sergei Trofimovich
2019-07-10 13:08 Thomas Deutschmann
2019-07-03 10:48 Thomas Deutschmann
2019-07-03 10:48 Thomas Deutschmann
2019-06-08 18:20 Agostino Sarubbo
2019-06-08  9:09 Sergei Trofimovich
2019-06-08  9:09 Sergei Trofimovich
2019-06-08  9:09 Sergei Trofimovich
2019-06-06 21:00 Sergei Trofimovich
2019-06-06  6:54 Agostino Sarubbo
2019-06-06  2:36 Aaron Bauman
2019-06-06  2:36 Aaron Bauman
2019-06-05  7:12 Agostino Sarubbo
2019-06-05  6:48 Agostino Sarubbo
2019-06-04 20:25 Sergei Trofimovich
2019-06-04 16:47 Agostino Sarubbo
2019-05-31 20:29 Sergei Trofimovich
2019-05-31 20:29 Sergei Trofimovich
2019-05-31 20:29 Sergei Trofimovich
2019-05-30 19:03 Brian Evans
2019-05-30  9:30 Thomas Deutschmann
2019-05-30  9:30 Thomas Deutschmann
2019-05-30  9:30 Thomas Deutschmann
2019-05-22 11:27 Aaron Bauman
2019-05-02 20:46 Brian Evans
2019-05-02 19:56 Brian Evans
2019-05-02 19:56 Brian Evans
2019-05-02 16:43 Brian Evans
2019-05-02 16:43 Brian Evans
2019-05-02 15:27 Brian Evans
2019-05-02 15:27 Brian Evans
2019-04-05 17:12 Brian Evans
2019-04-05 14:13 Thomas Deutschmann
2019-04-05 14:13 Thomas Deutschmann
2019-04-05 14:13 Thomas Deutschmann
2019-03-28  0:02 Thomas Deutschmann
2019-03-27 23:44 Thomas Deutschmann
2019-03-25 22:18 Sergei Trofimovich
2019-03-25 22:18 Sergei Trofimovich
2019-03-25 22:18 Sergei Trofimovich
2019-03-25 12:16 Mikle Kolyada
2019-03-24 20:25 Sergei Trofimovich
2019-03-24 20:25 Sergei Trofimovich
2019-03-24 20:25 Sergei Trofimovich
2019-03-24 20:12 Sergei Trofimovich
2019-03-24 19:44 Sergei Trofimovich
2019-03-24 19:44 Sergei Trofimovich
2019-03-24 19:44 Sergei Trofimovich
2019-03-22  7:32 Sergei Trofimovich
2019-03-22  7:32 Sergei Trofimovich
2019-03-22  7:32 Sergei Trofimovich
2019-03-21 20:39 Markus Meier
2019-03-21 20:39 Markus Meier
2019-03-21 20:39 Markus Meier
2019-03-20 21:03 Mikle Kolyada
2019-03-07 21:42 Brian Evans
2019-03-07 15:04 Thomas Deutschmann
2019-03-06 21:31 Thomas Deutschmann
2019-03-06 21:31 Thomas Deutschmann
2019-03-06 21:31 Thomas Deutschmann
2019-03-03 16:07 Sergei Trofimovich
2019-02-28 21:25 Sergei Trofimovich
2019-02-28 21:25 Sergei Trofimovich
2019-02-06 18:34 Thomas Deutschmann
2019-02-01 17:27 Brian Evans
2019-02-01 17:11 Tobias Klausmann
2019-02-01 16:50 Tobias Klausmann
2019-02-01 16:50 Tobias Klausmann
2019-01-30 18:51 Markus Meier
2019-01-30 18:51 Markus Meier
2019-01-30 18:51 Markus Meier
2019-01-17  8:29 Sergei Trofimovich
2019-01-17  8:29 Sergei Trofimovich
2019-01-17  8:29 Sergei Trofimovich
2019-01-17  8:08 Sergei Trofimovich
2019-01-15 22:10 Thomas Deutschmann
2019-01-14 14:35 Mikle Kolyada
2019-01-13  9:43 Sergei Trofimovich
2019-01-13  9:43 Sergei Trofimovich
2019-01-13  9:43 Sergei Trofimovich
2019-01-12 23:57 Sergei Trofimovich
2019-01-12 23:57 Sergei Trofimovich
2019-01-12 23:57 Sergei Trofimovich
2019-01-11 14:38 Brian Evans
2019-01-10 11:42 Thomas Deutschmann
2019-01-10 11:42 Thomas Deutschmann
2019-01-10 11:42 Thomas Deutschmann
2019-01-10 11:42 Thomas Deutschmann
2018-12-06 17:29 Thomas Deutschmann
2018-12-06 17:28 Thomas Deutschmann
2018-11-26 19:22 Thomas Deutschmann
2018-11-22 13:24 Thomas Deutschmann
2018-11-12  0:17 Thomas Deutschmann
2018-11-12  0:17 Thomas Deutschmann
2018-11-12  0:17 Thomas Deutschmann
2018-10-25 15:03 Brian Evans
2018-10-22 18:24 Michał Górny
2018-10-12  6:15 Brian Evans
2018-10-12  6:15 Brian Evans
2018-10-12  6:15 Brian Evans
2018-10-11 14:42 Brian Evans
2018-10-11 14:29 Tobias Klausmann
2018-10-11 14:28 Tobias Klausmann
2018-10-11 14:28 Tobias Klausmann
2018-10-11 14:27 Tobias Klausmann
2018-10-03  1:20 Brian Evans
2018-10-03  1:20 Brian Evans
2018-09-24 18:17 Markus Meier
2018-09-24 18:17 Markus Meier
2018-09-24 18:17 Markus Meier
2018-09-24 18:17 Markus Meier
2018-09-20  2:33 Brian Evans
2018-09-19 17:35 Thomas Deutschmann
2018-09-18 22:11 Sergei Trofimovich
2018-09-18 22:11 Sergei Trofimovich
2018-09-18 22:11 Sergei Trofimovich
2018-09-18 22:11 Sergei Trofimovich
2018-09-18 19:16 Matt Turner
2018-09-18 19:16 Matt Turner
2018-09-18 19:16 Matt Turner
2018-09-18 19:16 Matt Turner
2018-09-18 19:16 Matt Turner
2018-09-18 19:16 Matt Turner
2018-09-18 19:16 Matt Turner
2018-09-18 19:16 Matt Turner
2018-09-15 21:17 Sergei Trofimovich
2018-09-15 21:17 Sergei Trofimovich
2018-09-15 21:17 Sergei Trofimovich
2018-09-15 21:17 Sergei Trofimovich
2018-09-15 10:21 Mikle Kolyada
2018-09-15  3:40 Brian Evans
2018-09-15  3:40 Brian Evans
2018-09-15  3:40 Brian Evans
2018-09-15  3:40 Brian Evans
2018-09-15  3:40 Brian Evans
2018-09-15  3:40 Brian Evans
2018-08-18  1:24 Brian Evans
2018-08-18  1:18 Brian Evans
2018-08-17  3:34 Brian Evans
2018-08-17  3:34 Brian Evans
2018-08-17  3:34 Brian Evans
2018-08-17  3:34 Brian Evans
2018-07-29 10:35 Sergei Trofimovich
2018-07-29 10:35 Sergei Trofimovich
2018-07-21  0:33 Brian Evans
2018-07-21  0:09 Brian Evans
2018-07-21  0:09 Brian Evans
2018-07-21  0:09 Brian Evans
2018-07-21  0:09 Brian Evans
2018-07-21  0:09 Brian Evans
2018-07-12 14:02 Brian Evans
2018-07-09  1:18 Brian Evans
2018-06-27 10:07 Tobias Klausmann
2018-06-27 10:05 Tobias Klausmann
2018-06-27  7:25 Tobias Klausmann
2018-06-26 20:21 Brian Evans
2018-06-26 18:06 Brian Evans
2018-06-26 16:03 Mikle Kolyada
2018-06-25 19:01 Brian Evans
2018-06-25 19:01 Brian Evans
2018-06-24 15:17 Michael Orlitzky
2018-06-17 23:29 Thomas Deutschmann
2018-06-15 15:56 Sergei Trofimovich
2018-06-15 15:56 Sergei Trofimovich
2018-06-15 15:56 Sergei Trofimovich
2018-06-15 12:06 Sergei Trofimovich
2018-06-15 12:06 Sergei Trofimovich
2018-06-15 12:06 Sergei Trofimovich
2018-06-14 13:17 Brian Evans
2018-06-14 13:11 Agostino Sarubbo
2018-06-05  7:04 Brian Evans
2018-06-04 20:54 Brian Evans
2018-05-27 15:12 Brian Evans
2018-05-26  9:50 Mikle Kolyada
2018-04-27  2:21 Brian Evans
2018-04-27  2:21 Brian Evans
2018-04-27  2:21 Brian Evans
2018-04-27  2:21 Brian Evans
2018-04-14 11:40 Markus Meier
2018-04-14 11:40 Markus Meier
2018-04-14 11:40 Markus Meier
2018-04-08 10:55 Markus Meier
2018-04-08 10:55 Markus Meier
2018-04-08 10:55 Markus Meier
2018-04-07 21:18 Sergei Trofimovich
2018-04-07 21:18 Sergei Trofimovich
2018-04-07 21:18 Sergei Trofimovich
2018-04-05 16:12 Tobias Klausmann
2018-04-05 16:11 Tobias Klausmann
2018-04-05 16:10 Tobias Klausmann
2018-04-05 13:43 Thomas Deutschmann
2018-04-05 13:21 Aaron Bauman
2018-04-05  6:08 Sergei Trofimovich
2018-04-05  6:08 Sergei Trofimovich
2018-04-05  6:08 Sergei Trofimovich
2018-03-31 22:02 Tobias Klausmann
2018-03-31 21:57 Tobias Klausmann
2018-03-31 17:52 Tobias Klausmann
2018-03-30 16:57 Brian Evans
2018-03-30  9:06 Jeroen Roovers
2018-03-30  8:47 Brian Evans
2018-03-30  8:47 Brian Evans
2018-03-29 19:07 Brian Evans
2018-03-29 19:07 Brian Evans
2018-03-18  0:40 Thomas Deutschmann
2018-03-16 23:39 Sergei Trofimovich
2018-03-16 23:39 Sergei Trofimovich
2018-03-16 23:39 Sergei Trofimovich
2018-03-16 17:57 Agostino Sarubbo
2018-03-15 22:01 Sergei Trofimovich
2018-03-15 22:01 Sergei Trofimovich
2018-03-15 22:01 Sergei Trofimovich
2018-03-02 17:58 Brian Evans
2018-03-02  2:10 Brian Evans
2018-03-02  2:10 Brian Evans
2018-03-02  2:10 Brian Evans
2018-03-02  0:49 Brian Evans
2018-03-01 18:40 Brian Evans
2018-02-06 20:06 Brian Evans
2018-02-06 20:06 Brian Evans
2018-02-06 16:22 Brian Evans
2018-02-06 13:53 Brian Evans
2018-02-05 21:27 Markus Meier
2018-02-05 21:27 Markus Meier
2018-02-05 21:27 Markus Meier
2018-01-20 18:47 Tobias Klausmann
2018-01-20 18:04 Tobias Klausmann
2018-01-20 16:49 Tobias Klausmann
2018-01-20  5:10 Michael Orlitzky
2018-01-20  5:10 Michael Orlitzky
2018-01-10 21:22 Sergei Trofimovich
2018-01-10 21:22 Sergei Trofimovich
2018-01-10 21:22 Sergei Trofimovich
2018-01-07 11:36 Sergei Trofimovich
2018-01-07 11:36 Sergei Trofimovich
2018-01-07 11:36 Sergei Trofimovich
2018-01-06 21:33 Sergei Trofimovich
2018-01-06 21:33 Sergei Trofimovich
2018-01-06 21:33 Sergei Trofimovich
2018-01-06 17:53 Agostino Sarubbo
2018-01-06 11:41 Sergei Trofimovich
2018-01-06 11:41 Sergei Trofimovich
2018-01-06 11:41 Sergei Trofimovich
2018-01-05  3:26 Brian Evans
2018-01-05  3:26 Brian Evans
2018-01-04 19:58 Brian Evans
2018-01-04 17:33 Brian Evans
2018-01-02 23:49 Brian Evans
2018-01-02 17:21 Thomas Deutschmann
2017-12-16 17:24 Tobias Klausmann
2017-12-12 22:44 Sergei Trofimovich
2017-12-06 22:44 Sergei Trofimovich
2017-12-03 10:34 Sergei Trofimovich
2017-11-30 16:40 Brian Evans
2017-11-30 16:40 Brian Evans
2017-11-28 16:33 Brian Evans
2017-11-28 13:47 Brian Evans
2017-11-19 18:41 Brian Evans
2017-11-19 15:14 Markus Meier
2017-11-19 15:14 Markus Meier
2017-11-14 17:48 Brian Evans
2017-11-09 20:05 Sergei Trofimovich
2017-11-09 20:05 Sergei Trofimovich
2017-11-09 12:51 Thomas Deutschmann
2017-11-09  9:44 Tobias Klausmann
2017-11-09  8:04 Sergei Trofimovich
2017-11-09  8:04 Sergei Trofimovich
2017-11-08 22:27 Sergei Trofimovich
2017-11-08 22:27 Sergei Trofimovich
2017-11-08 20:50 Tobias Klausmann
2017-11-08 20:08 Sergei Trofimovich
2017-11-08 20:08 Sergei Trofimovich
2017-11-08 13:38 Agostino Sarubbo
2017-10-27 18:14 Brian Evans
2017-10-27 18:14 Brian Evans
2017-10-27 18:14 Brian Evans
2017-10-27 15:23 Brian Evans
2017-10-27 15:23 Brian Evans
2017-10-26 17:08 Brian Evans
2017-10-04  1:10 Brian Evans
2017-10-04  1:10 Brian Evans
2017-10-04  1:10 Brian Evans
2017-09-23 14:50 Brian Evans
2017-09-23 14:15 Thomas Deutschmann
2017-09-23 14:02 Sergei Trofimovich
2017-09-23 14:02 Sergei Trofimovich
2017-09-20 16:51 Brian Evans
2017-09-20 13:04 Brian Evans
2017-09-20  9:59 Agostino Sarubbo
2017-09-18  4:31 Markus Meier
2017-09-10  7:36 Tobias Klausmann
2017-09-09 19:02 Sergei Trofimovich
2017-09-08 22:12 Sergei Trofimovich
2017-09-08  7:21 Sergei Trofimovich
2017-09-07  9:25 Sergei Trofimovich
2017-09-07  9:25 Sergei Trofimovich
2017-09-04 20:36 Sergei Trofimovich
2017-09-03 21:34 Michael Orlitzky
2017-09-02  0:19 Brian Evans
2017-08-31 18:51 Michael Orlitzky
2017-08-31 18:51 Michael Orlitzky
2017-08-23 14:17 Michael Orlitzky
2017-08-03 16:21 Michael Orlitzky
2017-08-03 15:22 Michael Orlitzky
2017-07-30 18:46 Sergei Trofimovich
2017-07-30 18:46 Sergei Trofimovich
2017-07-25 18:51 Markus Meier
2017-07-25 18:51 Markus Meier
2017-07-21 20:22 Brian Evans
2017-07-21 17:54 Thomas Deutschmann
2017-07-18 14:28 Brian Evans
2017-07-18 14:28 Brian Evans
2017-07-17 19:38 Brian Evans
2017-07-17 13:44 Brian Evans
2017-07-16 11:10 Tobias Klausmann
2017-07-12 17:59 Brian Evans
2017-07-12  8:18 Agostino Sarubbo
2017-07-12  8:17 Agostino Sarubbo
2017-07-08 11:14 Sergei Trofimovich
2017-07-08 11:14 Sergei Trofimovich
2017-07-08  9:20 Alexis Ballier
2017-07-07 14:39 Brian Evans
2017-07-07 12:41 Brian Evans
2017-07-07 12:41 Brian Evans
2017-07-06 18:31 Brian Evans
2017-06-30 11:17 Alexis Ballier
2017-06-21  4:42 Markus Meier
2017-06-10 13:22 Agostino Sarubbo
2017-06-09 16:11 Brian Evans
2017-06-09 16:11 Brian Evans
2017-06-09 12:58 Brian Evans
2017-05-17 20:40 Brian Evans
2017-05-17 15:36 Brian Evans
2017-05-01 13:49 Michael Orlitzky
2017-03-21 19:29 Michael Orlitzky
2017-03-21 19:29 Michael Orlitzky
2017-03-17 16:49 Brian Evans

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1701828041.d8a87a6f0c140f5a2911f2fb99a5b8f01348a34b.mjo@gentoo \
    --to=mjo@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox